﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace XDGDependantCombo
{
    class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
            {
                return null;
            }
            var _value = value.ToString();
            List<string> result = null;
            switch (_value)
            {
                case "New Jersey":
                    {
                        result = AvailableCities.GetNewJerseyCities();
                        break;
                    }
                case "California":
                    {
                        result = AvailableCities.GetCaliforniaCities();
                        break;
                    }
                case "Florida":
                    {
                        result = AvailableCities.GetFloridaCities();
                        break;
                    }
                default:
                    result = new List<string>();
                    break;
            }
            return result;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
